Page MenuHomePhabricator

Maintainer access for Wikimedia Commons Android Tools project
Closed, ResolvedPublic

Description

I have created a phab project using toolsadmin for the project commons-android-app

How can I get push access for this repo. I would like to be a maintainer for this repository and am unsure about the process involved. It would be great if someone could give me a few pointers.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2018, 6:16 AM

Given that you're the author/maintainer of the tool I think we can grant you push access to the Diffusion repository. Depending on the method you wish to push changes to the repo you'll need to create an HTTPS password or upload your SSH key to https://phabricator.wikimedia.org/settings/user/maskaravivek/

Please note however that push means your changes will go directly to the repo without any code-review.

Yes, I have already added my ssh keys to phab.

Yes, I understand that it would mean direct pushes to master without code reviews. We will streamline the process to include diff reviews when there are more collaborators.

Okay then. I can grant you such permissions, but let me please ask @Aklapper and @mmodell just in case. Thanks.

I don't know much about Diffusion/Differential, but I know that we do not recommend Differential for code review, but Gerrit.
I see (similar?) projects like labs/tools/Commons-twitter-bot in Wikimedia Gerrit though, and I think that Gerrit also allows direct pushing on a repo level?

labs/tools/Commons-twitter-bot looks to be a different project than what tool-commons-android-app is supposed to be.

tool-commons-android-app would be used for hosting any APIs that are not officially exposed by MediaWiki and is required by the Commons Android App. Right now there's a requirement to expose the number of reverts by a user which isn't returned by any official API.

Moreover, toolsadmin.wikimedia.org automatically created the project on phabricator when I chose to create a new project. Correct me if I am wrong in assuming that all tools projects are by default hosted on phabricator.

Am tagging other project maintainers @josephine_l and @Nicolas_Raoul for the Android Commons app just in case.

(yes, it is a different project. With "similar" I referred to infrastructure usage, not to functionality scope. Sorry!)

@Aklapper I misinterpreted you. Sorry.

As I mentioned above, the infrastructure ie phabricator was by default chosen by toolsadmin itself. I didn't get a chance to choose where the repo should be hosted.

Would it be possible to grant push permissions?

@maskaravivek you should be able to push now.

Yes, now I am able to push to the repo. Thanks a lot, @mmodell.

MarcoAurelio closed this task as Resolved.Jun 17 2018, 9:19 AM
MarcoAurelio claimed this task.

Thanks @mmodell - I understand that future requests like this for maintainers can be approved. Regards.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 17 2018, 9:19 AM
Vvjjkkii renamed this task from Maintainer access for Wikimedia Commons Android Tools project to f1aaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed mmodell as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: MarcoAurelio, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 2 2018, 7:13 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from f1aaaaaaaa to Maintainer access for Wikimedia Commons Android Tools project.